Debian Bug report logs - #677375
reportbug: follow up option not optimal for bug resolution

version graph

Package: reportbug; Maintainer for reportbug is Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>; Source for reportbug is src:reportbug.

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Wed, 13 Jun 2012 13:00:02 UTC

Severity: normal

Tags: wontfix

Found in version reportbug/6.4

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#677375; Package reportbug. (Wed, 13 Jun 2012 13:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Wed, 13 Jun 2012 13:00:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: reportbug: follow up option not optimal for bug resolution
Date: Wed, 13 Jun 2012 14:03:24 +0200
[Message part 1 (text/plain, inline)]
Package: reportbug
Version: 6.4
Severity: normal

Dear Debian folks,


getting follow up on bug reports with reportbug (or manually as a new
message) is not optimal for the bug resolution in my experience.
Although it is simple maybe a better way can be hopefully implemented.

Using reportbug to follow up on a report, a new message is created and
is just sent to the report’s address with the Followup-For pseudo header
set as seen in [1].

In my opinion the problem is that

1. threading is not kept,
2. former bug correspondents are not notified, and
3. quoting is not possible.

Since people using `reportbug` use the command line anyhow the following
procedure could prove more useful and also eases work for people working
on the bug.

1. Either automatically or show people the following command to retrieve
the mbox file with all the messages

    bts show --mbox 675852

and tell them to import that to their mail program.

2. Just download the last non-BTS message like [2].

Either reportbug could start the command line MUA (`xdg-email`) with
that mbox as an argument give the user a choice to which message he
wants to reply to instead of just displaying the first message.

Maybe the Debian manual also needs updating, to encourage the above
procedure [3][4].

I think the above procedure is more useful. Although it might require a
little bit more work using reportbug for following up on reports
currently is not that useful in my opinion and could be improved with
the above procedure.


Thanks,

Paul


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=675852#20
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=20;mbox=yes;bug=675852
[3] http://www.debian.org/Bugs/Developer
[4] http://www.debian.org/Bugs/Reporting

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages reportbug depends on:
ii  apt               0.9.6
ii  python            2.7.3~rc2-1
ii  python-reportbug  6.4

reportbug recommends no packages.

Versions of packages reportbug suggests:
pn  claws-mail                                 <none>
pn  debconf-utils                              <none>
ii  debsums                                    2.0.51
pn  dlocate                                    <none>
ii  emacs22-bin-common                         22.3+1-1.2+b1
ii  emacs23-bin-common                         23.4+1-3
ii  exim4                                      4.80-3
ii  exim4-daemon-light [mail-transport-agent]  4.80-3
ii  file                                       5.11-1
ii  gnupg                                      1.4.12-4
ii  python-gtk2                                2.24.0-3
ii  python-gtkspell                            2.25.3-12
pn  python-urwid                               <none>
ii  python-vte                                 1:0.28.2-4
ii  xdg-utils                                  1.1.0~rc1+git20111210-6

Versions of packages python-reportbug depends on:
ii  apt               0.9.6
ii  python            2.7.3~rc2-1
ii  python-debian     0.1.21
ii  python-debianbts  1.11
ii  python-support    1.0.14

python-reportbug suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Sat, 18 Aug 2012 16:00:08 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Sat, 18 Aug 2012 16:00:11 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Sat, 18 Aug 2012 16:00:11 GMT) Full text and rfc822 format available.

Message #12 received at 677375-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Paul Menzel <pm.debian@googlemail.com>, 677375-done@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#677375: reportbug: follow up option not optimal for bug resolution
Date: Sat, 18 Aug 2012 17:56:28 +0200
tags 677375 +wontfix
thanks

On Wed, Jun 13, 2012 at 2:03 PM, Paul Menzel <pm.debian@googlemail.com> wrote:
> getting follow up on bug reports with reportbug (or manually as a new
> message) is not optimal for the bug resolution in my experience.
> Although it is simple maybe a better way can be hopefully implemented.
>
> Using reportbug to follow up on a report, a new message is created and
> is just sent to the report’s address with the Followup-For pseudo header
> set as seen in [1].
>
> In my opinion the problem is that
>
> 1. threading is not kept,

that's not very important

> 2. former bug correspondents are not notified, and

That could be a problem, but no-one ever complained, and could be
argued that if someone really wants to be notified it should subscribe
to the bug.

> 3. quoting is not possible.

that's arguable a problem.

> 1. Either automatically or show people the following command to retrieve
> the mbox file with all the messages
>
>     bts show --mbox 675852
>
> and tell them to import that to their mail program.
>
> 2. Just download the last non-BTS message like [2].
>
> Either reportbug could start the command line MUA (`xdg-email`) with
> that mbox as an argument give the user a choice to which message he
> wants to reply to instead of just displaying the first message.
>
> Maybe the Debian manual also needs updating, to encourage the above
> procedure [3][4].
>
> I think the above procedure is more useful. Although it might require a
> little bit more work using reportbug for following up on reports
> currently is not that useful in my opinion and could be improved with
> the above procedure.

I don't find any of the proposed solutions viable for reportbug. If
you want to do them, you can even without reportbug. I don't think
there's anything to fix in reportbug, hence I'm closing this report
(but thanks for the report!).

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Sep 2012 07:29:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:09:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.